﻿FahrenheitToCelsius x = new(-50);       //Create object x. The constructor is
                                        //called which, in turn, calls the setter.
Console.WriteLine(x.getTemperature());  //This calls the getter.

x.setTemperature(-65);                  //This calls the setter.
Console.WriteLine(x.getTemperature());  //This calls the getter.

x._temperature = -50;                   //This is NOT permitted!
Console.WriteLine(x._temperature);      //This is NOT permitted as well!

class FahrenheitToCelsius {
    private double _temperature;  //Declare field temperature as private

    //Define the constructor
    public FahrenheitToCelsius(double value) {
        this.setTemperature(value);   //Call the setter
    }

    //This method gets the temperature
    public double getTemperature() {
        return 5.0 / 9.0 * (this._temperature - 32.0);
    }

    //This method sets the temperature
    public void setTemperature(double value) {
        if (value >= -459.67) {
            this._temperature = value;
        }
        else {
            throw new Exception("There is no temperature below -459.67");
        }
    }
}
