﻿Teacher teacher1 = new("Mr. John Scott", 43, 35000);
Teacher teacher2 = new("Mrs. Ann Carter", 5, 32000);
Student student1 = new("Mark Nelson", 14, "A");
Student student2 = new("Mary Morgan", 13, "B");

teacher1.display_values();
teacher2.display_values();
student1.display_values();
student2.display_values();

class SchoolMember {
    public string name;
    public int age;

    //Define the constructor
    public SchoolMember(string name, int age) {
        this.name = name;
        this.age = age;
        Console.WriteLine("A school member was initialized");
    }
}

class Teacher : SchoolMember {
    public double salary;  //This is an additional field for this class

    //Define the constructor
    public Teacher(string name, int age, double salary) : base(name, age) {
        this.salary = salary;

        //This is an additional statement for this constructor
        Console.WriteLine("A teacher was initialized");
    }

    //This is an additional method for this class
    public void display_values() {
        Console.WriteLine("Name: " + this.name);
        Console.WriteLine("Age: " + this.age);
        Console.WriteLine("Salary: " + this.salary);
    }
}

class Student : SchoolMember {
    public string final_grade;  //This is an additional field for this class

    //Define the constructor
    public Student(string name, int age, string final_grade) : base(name, age) {
        this.final_grade = final_grade;

        //This is an additional statement for this constructor
        Console.WriteLine("A student was initialized");
    }

    //This is an additional method for this class
    public void display_values() {
        Console.WriteLine("Name: " + this.name);
        Console.WriteLine("Age: " + this.age);
        Console.WriteLine("Final grade: " + this.final_grade);
    }
}
